---
updatedAt: 2026-04-21T14:40:57.000Z
agentTools:
  projectIndex: https://developer.zylo.com/llms.txt
---

# Get Zybrary

### Required Permissions
`applications:read`
### Rate Limit
`basic`
> 📘 Important Note
>
> This endpoint requires one of the following query parameters: search, app_domain, id, app_name.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "components": {
    "schemas": {
      "UUID": {
        "type": "string",
        "example": "52907745-7672-470e-a803-a2f8feb52944",
        "description": "Stringified UUIDv4.",
        "pattern": "[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}"
      },
      "Zybrary": {
        "properties": {
          "app_description": {
            "type": "string",
            "nullable": true,
            "description": "The application description."
          },
          "app_domain": {
            "type": "string",
            "nullable": true,
            "description": "The application domain."
          },
          "app_name": {
            "type": "string",
            "nullable": true,
            "description": "The application name."
          },
          "id": {
            "$ref": "#/components/schemas/UUID",
            "description": "Unique identifier for a Zybrary application."
          },
          "zybrary_supplier_id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/UUID"
              }
            ],
            "nullable": true,
            "description": "The supplier id associated with the application, if applicable."
          }
        },
        "required": [
          "app_description",
          "app_domain",
          "app_name",
          "id",
          "zybrary_supplier_id"
        ],
        "type": "object",
        "additionalProperties": true
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "info": {
    "title": "Resources",
    "version": "2.0.0"
  },
  "paths": {
    "/v2/zybrary": {
      "get": {
        "operationId": "ZybraryController_GetZybrary",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "items": {
                    "$ref": "#/components/schemas/Zybrary"
                  },
                  "type": "array"
                }
              }
            }
          }
        },
        "description": "### Required Permissions\n`applications:read`\n### Rate Limit\n`basic`\n> 📘 Important Note\n>\n> This endpoint requires one of the following query parameters: search, app_domain, id, app_name.",
        "summary": "Get Zybrary",
        "tags": [
          "Zybrary"
        ],
        "security": [
          {
            "apiKey": []
          }
        ],
        "parameters": [
          {
            "description": "The application description.",
            "in": "query",
            "name": "app_description",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The application domain.",
            "in": "query",
            "name": "app_domain",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The application name.",
            "in": "query",
            "name": "app_name",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Unique identifier for a Zybrary application.",
            "in": "query",
            "name": "id",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/UUID"
            }
          },
          {
            "description": "The supplier id associated with the application, if applicable.",
            "in": "query",
            "name": "zybrary_supplier_id",
            "required": false,
            "schema": {
              "$ref": "#/components/schemas/UUID"
            }
          },
          {
            "description": "Sort by any non-object or array value. Use +/- to indicate direction.",
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "default": "+zylo_created_at",
              "type": "string"
            },
            "example": "+zylo_created_at"
          },
          {
            "description": "Number of results to bring back.",
            "in": "query",
            "name": "limit",
            "required": false,
            "schema": {
              "default": "50",
              "format": "double",
              "type": "number",
              "maximum": 1000
            }
          },
          {
            "description": "Offset the results by this number.",
            "in": "query",
            "name": "skip",
            "required": false,
            "schema": {
              "default": "0",
              "format": "double",
              "type": "number"
            }
          },
          {
            "description": "id value to use cursor based pagination. Can be used in place of skip.",
            "in": "query",
            "name": "cursor",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Search the results by this string.",
            "in": "query",
            "name": "search",
            "required": false,
            "schema": {
              "default": "",
              "type": "string"
            }
          }
        ],
        "x-proxy-enabled": false
      }
    }
  },
  "servers": [
    {
      "url": "https://api.zylo.com/"
    }
  ],
  "tags": [
    {
      "name": "Zybrary"
    }
  ]
}
```